Bug 17784 - Can't build as non-root, touches real directories, not build root
Summary: Can't build as non-root, touches real directories, not build root
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: procps (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-22 05:01 UTC by kenneth_porter
Modified: 2009-09-26 07:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-22 05:07:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to ps/Makefile to rm cat files from buildroot and ignore any error (563 bytes, patch)
2000-09-22 05:05 UTC, kenneth_porter
no flags Details | Diff
Replacement spec file that applies catclear patch (5.63 KB, text/plain)
2000-09-22 05:07 UTC, kenneth_porter
no flags Details

Description kenneth_porter 2000-09-22 05:01:09 UTC
ps/Makefile attempts to remove catman files from real directories, not those in the build root, and failure is not forgiven. This kills the build for a 
non-root packager.

Comment 1 kenneth_porter 2000-09-22 05:05:54 UTC
Created attachment 3500 [details]
Patch to ps/Makefile to rm cat files from buildroot and ignore any error

Comment 2 kenneth_porter 2000-09-22 05:07:18 UTC
Created attachment 3501 [details]
Replacement spec file that applies catclear patch

Comment 3 Preston Brown 2001-01-31 23:05:08 UTC
fixed before 7 final.


Note You need to log in before you can comment on or make changes to this bug.